Page MenuHomePhabricator

Don't show the "Welcome to Wikipedia" overlay on mobile ve
Closed, ResolvedPublic

Description

We should not show the "Welcome to Wikipedia" overlay on mobile.

We should not show this overlay for a couple of primary reasons:

  • It is not shown on mobile wikitext; we'd like to keep the onboarding experiences between default and visual as consistent as possible for the purposes of the ongoing A/B test [1]
  • We think the overlay [2], in its current state, is more disruptive to contributors than it is valuable to them

Details

This patch should be limited to mobile and visual editor.

"Done"

  • The "Welcome to Wikipedia" overlay no longer appears, for any contributors, on mobile in ve.

  1. Context where this came up: T221197#5315236
  2. "Welcome to Wikipedia overlay"

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterFix copy-paste typo in MobileArticleTarget
mediawiki/extensions/VisualEditor : masterMobileArticleTarget: Don't show the welcome dialog

Event Timeline

ppelberg created this task.Jul 10 2019, 2:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 10 2019, 2:34 PM

Change 521918 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] MobileArticleTarget: Don't show the welcome dialog

https://gerrit.wikimedia.org/r/521918

Change 521918 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] MobileArticleTarget: Don't show the welcome dialog

https://gerrit.wikimedia.org/r/521918

Jdforrester-WMF moved this task from Incoming to QA on the VisualEditor (Current work) board.

(I moved it while looking at the workboard, where it was still shown in the "Ready for Pick Up" column…)

Change 521941 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Fix copy-paste typo in MobileArticleTarget

https://gerrit.wikimedia.org/r/521941

Change 521941 abandoned by Jforrester:
Fix copy-paste typo in MobileArticleTarget

Reason:
Done in I8fa3c610065.

https://gerrit.wikimedia.org/r/521941

matmarex moved this task from Inbox to High Priority on the Editing QA board.Jul 15 2019, 11:32 PM
Ryasmeen edited projects, added Verified; removed Editing QA.Jul 26 2019, 2:58 PM
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.
ppelberg closed this task as Resolved.Sep 3 2019, 12:04 AM